##
##  jclazz.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         jclazz
Summary:      Java Class Inspection
URL:          http://jclazz.sourceforge.net/
Vendor:       "Andrew"
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        CompilerCompiler
License:      Open Source
Version:      1.2.2
Release:      20090430

#   list of sources
Source0:      http://download.sourceforge.net/jclazz/jclazz-%{version}-full.tar.bz2
Source1:      jclazz-decomp.sh
Source2:      jclazz-gui.sh
Source3:      jclazz-infoj.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, java, JAVA-JDK

%description
    jClazz is a cross-platform and powerful Java bytecode viewer and
    decompiler.

%track
    prog jclazz = {
        version   = %{version}
        url       = http://sourceforge.net/projects/jclazz/files/
        regex     = jclazz-(__VER__)-full\.tar\.bz2
    }

%prep
    %setup -q

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/jclazz
    %{l_shtool} install -c -m 644 \
        bin/*.jar $RPM_BUILD_ROOT%{l_prefix}/libexec/jclazz/
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE jclazz-decomp.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/jclazz-decomp
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE jclazz-gui.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/jclazz-gui
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE jclazz-infoj.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/jclazz-infoj
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

